﻿namespace LeapYearKata
{
    public static class Year
    {
        public static bool IsLeap(int year)
        {
            return (!year.IsDivisibleBy(100) && (year.IsDivisibleBy(4)) || year.IsDivisibleBy(400));
        }
    }

    public static class IntExtensions
    {
        public static bool IsDivisibleBy(this int n, int divisor)
        {
            return n % divisor == 0;
        }
    }
}